#include <AFMotor.h>

AF_DCMotor motor1(1);
AF_DCMotor motor2(3);

// int leftSonar = 3;
int centerSonar = 4;  // input pin for center sonar unit
// int rightSonar = 5;
// int leftValue = 0;
int centerValue = 0;  // variable to store center sonar value
// int rightValue = 0;

void setup() {
  Serial.begin(9600);
 
  // turn on motors
  motor1.setSpeed(200); 
  motor2.setSpeed(200);
  
  motor1.run(RELEASE);
  motor2.run(RELEASE);
 
//  pinMode(leftSonar, INPUT);
  pinMode(centerSonar, INPUT);
//  pinMode(rightSonar, INPUT);
  
  
}
  
void loop() {  
  uint8_t i;
  
  centerValue = analogRead(centerSonar);
  Serial.println(centerValue);

  motor1.run(FORWARD);
  motor2.run(FORWARD);
  for (i=0; i<255; i++) {
    motor1.setSpeed(i);
    motor2.setSpeed(i);  
    delay(10);
 }
 
  for (i=255; i!=0; i--) {
    motor1.setSpeed(i);
    motor2.setSpeed(i);  
    delay(10);
 }
 
 motor1.run(RELEASE);
 motor2.run(RELEASE);
 
 delay(10);
}

